Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Juri Linkov <[email-masked]>
Date: Sun, 20 Oct 2019 18:42:35 +0300

>> Additional question: since now in multi-line Info references faces don't
>> extend beyond EOL by default, could the following hack to be removed
>> from info.el:
>>
>>               ;; For multiline ref, unfontify newline and surrounding whitespace
>>               (save-excursion
>>                 (goto-char rbeg)
>>                 (save-match-data
>>                   (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
>>                     (remove-text-properties (match-beginning 0)
>>                                             (match-end 0)
>>                                             '(font-lock-face t)))))
>
> Yes, I think so, but maybe leave this code in place conditioned by the
> relevant face being extended, in case users customize them?

I noticed that this code is still needed because ':extend nil'
still highlights the final newline at EOL, but this code removes
highlighting from newlines.